Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - xf86-input-synaptics-xswipe-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: xf86-input-synaptics-xswipe-git r1464.8cc57ce-2

Git Clone URL: https://aur-dev.archlinux.org/xf86-input-synaptics-xswipe-git.git (read-only)
Package Base: xf86-input-synaptics-xswipe-git
Description: Synaptics driver for notebook touchpads - Forked branch with -m flag forward ported and 4/5 finger detectable
Upstream URL: https://github.com/diegoferigo/xserver-xorg-input-synaptics
Licenses: custom
Groups: xorg, xorg-drivers
Conflicts: synaptics, xf86-input-synaptics
Provides: synaptics, xf86-input-synaptics
Replaces: synaptics, xf86-input-synaptics
Submitter: dieghen89
Maintainer: None
Last Packager: dieghen89
Votes: 12
Popularity: 0.052192
First Submitted: 2014-02-02 21:11
Last Updated: 2016-05-26 09:37

Required by (6)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

ludenticus commented on 2015-05-29 13:34

So, this driver only works if you install xswipe as well? How do you do that?

dieghen89 commented on 2014-11-26 15:05

I just found the time to fork the felipejfc repo and port his patch to 1.8 upstream branch.

FYI the initial (unanswered) report is here [1]


[1] https://github.com/felipejfc/xserver-xorg-input-synaptics/issues/1

mjhd commented on 2014-10-30 03:45

I got the kba's problem and I've fixed it to forcibly add "#include <xorg-server.h>" into "/usr/include/xorg/os.h".

dieghen89 commented on 2014-10-04 15:43

Hi kba, i have the same build problem. In this period it's hard for me find time to debug something similar, have you alredy tried to open an issue in github?

kba712 commented on 2014-10-01 17:49

I get this error code when building
/usr/include/xorg/os.h:579:1: error: expected identifier or '(' before '__extension__'
strndup(const char *str, size_t n);
^
Makefile:504: recipe for target 'synproto.lo' failed
make[2]: *** [synproto.lo] Error 1
make[2]: Leaving directory '/tmp/packerbuild-1000/xf86-input-synaptics-xswipe-git/xf86-input-synaptics-xswipe-git/src/xf86-input-synaptics-xswipe-git/src'
Makefile:499: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/packerbuild-1000/xf86-input-synaptics-xswipe-git/xf86-input-synaptics-xswipe-git/src/xf86-input-synaptics-xswipe-git'
Makefile:407: recipe for target 'all' failed
make: *** [all] Error 2
==> ERREUR : Une erreur s’est produite dans build().
Abandon...
The build failed.

any ideas?

dieghen89 commented on 2014-08-13 19:07

Fixed the package due xorg update. If you have problems before the upgrade about not recognized touchpad (but working touchscreen), try to build and install again this package

dieghen89 commented on 2014-08-07 17:56

I've never gone into that dependency. The /extra package needs it and i used that PKGBUILD as base.

snoxu commented on 2014-08-05 00:11

Is X-ABI-XINPUT_VERSION=20 a dependency?

This does not seem to build without it.

dieghen89 commented on 2014-06-30 11:47

Hi, this package only provides the xorg driver to run xswipe. You can clone directly the xswipe github repo and configure properly or install through this package [1] which i still have not uploaded in AUR.

https://github.com/dieghen89/xps13/tree/master/PKGs/xswipe-git

dieghen89 commented on 2014-06-30 11:46

Hi, this package only provides the xorg driver to run xswipe. You can clone directly the xswipe github repo and configure properly or install through this package [1] that i still have not uploaded in AUR.

https://github.com/dieghen89/xps13/tree/master/PKGs/xswipe-git